Skip to main content
POST
Create Agent Run

Headers

Path Parameters

org_id
integer
required

Body

application/json
prompt
string
required
images
string[] | null

List of base64 encoded data URIs representing images to be processed by the agent

metadata
Metadata · object | null

Arbitrary JSON metadata to be stored with the agent run

repo_id
integer | null

ID of the repository to use for the agent run

model
string | null

Model to use for this agent run (optional, uses org default if not specified)

agent_type
enum<string> | null

Type of agent to use for this agent run (optional, uses org default if not specified)

Available options:
codegen,
claude_code

Response

Successful Response

Represents an agent run in API responses

id
integer
required
organization_id
integer
required
status
string | null
created_at
string | null
web_url
string | null
result
string | null
summary
string | null
source_type
enum<string> | null
Available options:
LOCAL,
SLACK,
GITHUB,
GITHUB_CHECK_SUITE,
GITHUB_PR_REVIEW,
LINEAR,
API,
CHAT,
JIRA,
CLICKUP,
MONDAY,
SETUP_COMMANDS
github_pull_requests
GithubPullRequestResponse · object[] | null
metadata
Metadata · object | null